package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.VillageRepository;
import com.realnet.basicp1.Entity.Village
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class VillageService {
@Autowired
private VillageRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Village Savedata(Village data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Village save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Village> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Village> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Village> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Village getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Village update(Village data,Integer id) {
	Village old = Repository.findById(id).get();
old.setVillage_name(data.getVillage_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setCity_name(data.getCity_name());

final Village test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
